Community
Bifrost Forum
Welcome to the Bifrost Forum. This is the place for artists using Bifrost to ask and answer questions, browse popular topics, and share knowledge about creating effects procedurally using Bifrost. You can also visit the Bifrost Community on AREA to download an array of ready-to-use graphs, read Bifrost news and updates, and find the latest tutorials.
cancel
Showing results forย 
Showย ย onlyย  | Search instead forย 
Did you mean:ย 

Bifrost Error after installing Bullet for Bifrost plugin

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
bruno_costarelli
280 Views, 4 Replies

Bifrost Error after installing Bullet for Bifrost plugin

Hi all,
I am currently having a problem after installation of bifrost plugin Bulletfrost by the great HeydoubleU

I get this messages:

// Warning: Warning: Could not load shared library 'BulletfrostOps' from path 'C:/Users\bruno\Autodesk\Bifrost\Compounds\Bulletfrost\lib'.
// Error: Error: Default value function not found for value of type 'Bullet::RBD::RigidBody'
// Error: Error: Default value function not found for value of type 'Bullet:๐Ÿ’ฅ:CollisionShape'
// Error: Error: Default value function not found for value of type 'Bullet::Constrain::Constraint'
// Error: Error: Default value function not found for value of type 'Bullet::BulletScene'

// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// Failed finding library for symbol ??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// Failed finding library for symbol ??$getDefaultClass@VConstraint@Constrain@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VConstraint@Constrain@Bullet@@@1@XZ
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// Failed finding library for symbol ??$getDefaultClass@VCollisionShape@Collision@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VCollisionShape@Collision@Bullet@@@1@XZ
// Error: Error: while compiling top level compound 'bifrostGraphShape1', around <no specific location>:
// JIT compilation used external symbol '??$getDefaultClass@VRigidBody@RBD@Bullet@@@Internal@Amino@@YAAEBV?$Ptr@VRigidBody@RBD@Bullet@@@1@XZ' which could not be resolved

I have maya 2024 installed with bifrost 2.7, the message i get is surely related to the plugin installed but I am not sure how to tackle this.
I have followed Cristoph Schadl directions on installing the plugin
https://www.youtube.com/watch?v=HAHfqk7Z7u0
and here the links to plugin https://github.com/HeydoubleU/Bulletfrost/tree/master

Any help would be massively apreciated, not a pro with Bifrost but i am loving it so far
Many Thanks,
Bruno

Labels (3)
4 REPLIES 4
Message 2 of 5

Maybe the latest version does only work for Bifrost 2.8

----------------------------------------------------------------
https://linktr.ee/cg_oglu
Message 3 of 5

Could you post what you wrote in the maya.env file here?

----------------------------------------------------------------
https://linktr.ee/cg_oglu
Message 4 of 5

Hi Christoph, I just updated to bifrost 2.8 and it worked! Thank you!

Message 5 of 5

Hey Cristoph, Thanks a lot for quick reply. I updated My bifrost to 2.8 and it worked! Thank you!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums